/*
 * This file is part of the nivo project.
 *
 * Copyright 2016-present, Raphaël Benitte.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
import React from 'react';
import PropTypes from 'prop-types';
import pure from 'recompose/pure';

var tableStyle = {
    fontSize: '14px',
    width: '100%',
    borderCollapse: 'collapse'
};

var cellStyle = {
    padding: '3px 5px'
};

var TableTooltip = function TableTooltip(_ref) {
    var rows = _ref.rows;

    if (!rows.length) return null;

    return React.createElement(
        'table',
        { style: tableStyle },
        React.createElement(
            'tbody',
            null,
            rows.map(function (row, i) {
                return React.createElement(
                    'tr',
                    { key: i },
                    row.map(function (column, j) {
                        return React.createElement(
                            'td',
                            { key: j, style: cellStyle },
                            column
                        );
                    })
                );
            })
        )
    );
};

TableTooltip.propTypes = {
    rows: PropTypes.arrayOf(PropTypes.arrayOf(PropTypes.node)).isRequired
};

TableTooltip.defaultProps = {};

export default pure(TableTooltip);